Bug 1570422 - [abrt] gnome-shell: append_layer_index_cb(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: append_layer_index_cb(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:cc64864f709d72ad14893707049...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-22 18:31 UTC by yucef sourani
Modified: 2019-05-28 19:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:56:53 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (64.55 KB, text/plain)
2018-04-22 18:31 UTC, yucef sourani
no flags Details
File: cgroup (331 bytes, text/plain)
2018-04-22 18:31 UTC, yucef sourani
no flags Details
File: core_backtrace (40.42 KB, text/plain)
2018-04-22 18:31 UTC, yucef sourani
no flags Details
File: cpuinfo (1.18 KB, text/plain)
2018-04-22 18:31 UTC, yucef sourani
no flags Details
File: dso_list (25.37 KB, text/plain)
2018-04-22 18:31 UTC, yucef sourani
no flags Details
File: environ (3.76 KB, text/plain)
2018-04-22 18:31 UTC, yucef sourani
no flags Details
File: exploitable (82 bytes, text/plain)
2018-04-22 18:31 UTC, yucef sourani
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-22 18:31 UTC, yucef sourani
no flags Details
File: maps (171.38 KB, text/plain)
2018-04-22 18:31 UTC, yucef sourani
no flags Details
File: mountinfo (3.71 KB, text/plain)
2018-04-22 18:31 UTC, yucef sourani
no flags Details
File: open_fds (8.33 KB, text/plain)
2018-04-22 18:32 UTC, yucef sourani
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2018-04-22 18:32 UTC, yucef sourani
no flags Details
File: var_log_messages (16.21 KB, text/plain)
2018-04-22 18:32 UTC, yucef sourani
no flags Details

Description yucef sourani 2018-04-22 18:31:33 UTC
Version-Release number of selected component:
gnome-shell-3.28.1-1.fc28

Additional info:
reporter:       libreport-2.9.4
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: append_layer_index_cb
executable:     /usr/bin/gnome-shell
journald_cursor: s=49157e8e36e74d41af8fd891d774e8a2;i=8620;b=1e21caba907e43f9859a072829dac08a;m=25ad89f9f;t=56a73f9540e91;x=f8e873cee6d6667
kernel:         4.16.2-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 append_layer_index_cb at cogl-pipeline.c:706
 #1 _cogl_pipeline_foreach_layer_internal at cogl-pipeline.c:627
 #2 cogl_pipeline_foreach_layer at cogl-pipeline.c:730
 #3 _cogl_framebuffer_draw_multitextured_rectangles at cogl-primitives.c:658
 #4 cogl_framebuffer_draw_multitextured_rectangle at cogl-framebuffer.c:2485
 #5 st_theme_node_transition_paint at ../src/st/st-theme-node-transition.c:385
 #6 st_widget_paint_background at ../src/st/st-widget.c:455
 #7 shell_generic_container_paint at ../src/st/st-widget.h:39
 #8 clutter_actor_continue_paint at clutter-actor.c:4030
 #9 clutter_actor_paint at clutter-actor.c:3946

Comment 1 yucef sourani 2018-04-22 18:31:40 UTC
Created attachment 1425426 [details]
File: backtrace

Comment 2 yucef sourani 2018-04-22 18:31:42 UTC
Created attachment 1425427 [details]
File: cgroup

Comment 3 yucef sourani 2018-04-22 18:31:44 UTC
Created attachment 1425428 [details]
File: core_backtrace

Comment 4 yucef sourani 2018-04-22 18:31:46 UTC
Created attachment 1425429 [details]
File: cpuinfo

Comment 5 yucef sourani 2018-04-22 18:31:48 UTC
Created attachment 1425430 [details]
File: dso_list

Comment 6 yucef sourani 2018-04-22 18:31:50 UTC
Created attachment 1425431 [details]
File: environ

Comment 7 yucef sourani 2018-04-22 18:31:51 UTC
Created attachment 1425432 [details]
File: exploitable

Comment 8 yucef sourani 2018-04-22 18:31:53 UTC
Created attachment 1425433 [details]
File: limits

Comment 9 yucef sourani 2018-04-22 18:31:57 UTC
Created attachment 1425434 [details]
File: maps

Comment 10 yucef sourani 2018-04-22 18:31:59 UTC
Created attachment 1425435 [details]
File: mountinfo

Comment 11 yucef sourani 2018-04-22 18:32:00 UTC
Created attachment 1425436 [details]
File: open_fds

Comment 12 yucef sourani 2018-04-22 18:32:02 UTC
Created attachment 1425437 [details]
File: proc_pid_status

Comment 13 yucef sourani 2018-04-22 18:32:04 UTC
Created attachment 1425438 [details]
File: var_log_messages

Comment 14 Ben Cotton 2019-05-02 21:54:19 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2019-05-28 19:56:53 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.